
Efl_Ui_Theme *_efl_ui_theme_default_get(void);

EAPI EAPI_WEAK Efl_Ui_Theme * efl_ui_theme_default_get(void)
{
   const Efl_Class *klass = efl_ui_theme_class_get();
   EINA_SAFETY_ON_NULL_RETURN_VAL(klass,NULL);
   return _efl_ui_theme_default_get();
}

void _efl_ui_theme_extension_add(Eo *obj, Efl_Ui_Theme_Data *pd, const char *item);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_theme_extension_add, EFL_FUNC_CALL(item), const char *item);

void _efl_ui_theme_extension_del(Eo *obj, Efl_Ui_Theme_Data *pd, const char *item);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_theme_extension_del, EFL_FUNC_CALL(item), const char *item);

void _efl_ui_theme_overlay_add(Eo *obj, Efl_Ui_Theme_Data *pd, const char *item);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_theme_overlay_add, EFL_FUNC_CALL(item), const char *item);

void _efl_ui_theme_overlay_del(Eo *obj, Efl_Ui_Theme_Data *pd, const char *item);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_theme_overlay_del, EFL_FUNC_CALL(item), const char *item);

Efl_Object *_efl_ui_theme_efl_object_constructor(Eo *obj, Efl_Ui_Theme_Data *pd);


void _efl_ui_theme_efl_object_destructor(Eo *obj, Efl_Ui_Theme_Data *pd);


static Eina_Bool
_efl_ui_theme_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_THEME_EXTRA_OPS
#define EFL_UI_THEME_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_theme_extension_add, _efl_ui_theme_extension_add),
      EFL_OBJECT_OP_FUNC(efl_ui_theme_extension_del, _efl_ui_theme_extension_del),
      EFL_OBJECT_OP_FUNC(efl_ui_theme_overlay_add, _efl_ui_theme_overlay_add),
      EFL_OBJECT_OP_FUNC(efl_ui_theme_overlay_del, _efl_ui_theme_overlay_del),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_theme_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_theme_efl_object_destructor),
      EFL_UI_THEME_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_theme_class_desc = {
   EO_VERSION,
   "Efl.Ui.Theme",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Theme_Data),
   _efl_ui_theme_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_theme_class_get, &_efl_ui_theme_class_desc, EFL_OBJECT_CLASS, NULL);
